## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           vorbisgain
Version:        0.37
Release:        %autorelease
Summary:        Adds tags to Ogg Vorbis files to adjust the volume

License:        LGPLv2
URL:            https://sjeng.org/vorbisgain.html
Source0:        https://sjeng.org/ftp/vorbis/%{name}-%{version}.tar.gz
Patch0:         vorbisgain-spelling.patch
Patch1:         001-fprintf_fix.patch
Patch2:         vorbisgain-c99.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libvorbis-devel
BuildRequires:  libogg-devel


%description
VorbisGain is a utility that uses a psychoacoustic method to correct the
volume of an Ogg Vorbis file to a predefined standardized loudness.

It needs player support to work. Non-supporting players will play back
the files without problems, but you'll miss out on the benefits.
Nowadays most good players such as ogg123, xmms and mplayer are already
compatible.


%prep
%autosetup


%build
%configure --enable-recursive
%make_build


%install
%make_install


%files
%doc NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 03 2023 Colin B. Macdonald <cbm@m.fsf.org> - 0.37-4
- Cleanup whitespace

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Mar 26 2022 Peter Oliver <git@mavit.org.uk> - 0.37-2
- Modernise spec file.

* Sat Mar 26 2022 Peter Oliver <git@mavit.org.uk> - 0.37-1
- Update to version 0.37.

* Sat Mar 26 2022 Peter Oliver <git@mavit.org.uk> - 0.36-38
- Use autorelease and autochangelog.

* Thu Mar 24 2022 Tomas Hrcka <thrcka@redhat.com> - 0.36-37
- Unretirement request: https://pagure.io/releng/issue/10714

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 09 2021 Tom Stellard <tstellar@redhat.com> - 0.36-33
- Add BuildRequires: make

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 09 2019 Florian Weimer <fweimer@redhat.com> - 0.36-30
- Second part of C99 mode build fix

* Mon Sep 09 2019 Florian Weimer <fweimer@redhat.com> - 0.36-29
- Fix building in C99 mode

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.36-26
- Remove obsolete Group tag

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 0.36-24
- add BuildRequires: gcc

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-22
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.36-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 0.36-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.36-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 0.36-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 31 2013 Brian Pepple <bpepple@fedoraproject.org> - 0.36-15
- Add patch to fix build failure. (#1025254)

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 0.36-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Brian Pepple <bpepple@fedoraproject.org> - 0.36-13
- Remove some old depreciated cruft from the spec file.

* Fri Feb 15 2013 Dennis Gilmore <dennis@ausil.us> - 0.36-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Dennis Gilmore <dennis@ausil.us> - 0.36-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 09 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.36-10
- Rebuild for new gcc.

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 0.36-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.36-8
- Drop buildroot & clean section since they are no longer necessary.

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-7
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.36-6
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.36-3
- * Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.36-3 -
  Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.36-2
- * Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.36-2 -
  Rebuild. - Update license tag.

* Fri Oct 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.36-1
- * Fri Oct 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.36-1 -
  Update to 0.36. - Add patch to fix spelling errors in manpage.

* Wed Oct 04 2006 Christian Iseli <c4chris@fedoraproject.org> - 0.34-5
- automated bump and rebuild

* Tue Sep 19 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.34-4
- Rebuilt for FC6

* Tue Sep 19 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.34-3
- * Tue Sep 19 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.34-2 -
  Rebuild for FC6. - Minor formatting changes.

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 0.34-2
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Sun May 14 2006 noa <noa> - 0.34-1
- auto-import vorbisgain-0.34-1.fc5 on branch devel from
  vorbisgain-0.34-1.fc5.src.rpm
## END: Generated by rpmautospec
